class Complex {
	private final double a,b; //represents a+bi
	public Complex() { this(0.0,0.0); }
	public Complex(double a, double b) { this.a=a; this.b=b; }
	public double geta() { return a; }
	public double getb() { return b; }
	public Complex add(Complex z) { return new Complex(a+z.a, b+z.b); }
	public Complex mult(Complex z) { return new Complex(a*z.a-b*z.b, a*z.b+b*z.a); }
	public Complex mult(double r) { return this.mult(new Complex(r,0.0)); }
	public String toString() { return a+" + "+b+"i"; }

	public static void main(String [] args){
		Complex z1 = new Complex(2,3);
		Complex z2 = new Complex();
		System.out.println(z1);
		System.out.println(z2);
		System.out.println(z2.add(z1));
		System.out.println(z2.add(new Complex(1.0,1.0)));
		System.out.println(z1.mult(z1));
	}
}
