class Money{
	private int euros;
	private int centimes;
	public Money() { this(0,0); }
	public Money(int euros, int centimes) { this.euros = euros+centimes/100; this.centimes = centimes%100; }
	public String toString() { return "€"+euros+","+(centimes>9?centimes:"0"+centimes); }
	public boolean isZero() { return euros==0 && centimes==0; }
	public Money add(int euros) { return new Money(this.euros+euros, centimes); }
	public Money add(Money m) { return new Money(this.euros+m.euros+(this.centimes+m.centimes)/100, (this.centimes+m.centimes)%100); }
	public boolean isMoreThan(Money m) { if(euros>m.euros) return true; if(euros<m.euros) return false; if(centimes>m.centimes) return true; return false; }

	public static void main(String [] args){
		Money m = new Money();
		System.out.println(m);
		System.out.println("Every day I gain €1,23");
		for(int i=0;i<9;i++){
			System.out.println("More money!");
			m = m.add(new Money(1,23));
		System.out.println("Now I have "+m);
		}
		if(m.isMoreThan(new Money(10,10))) System.out.println("I'm rich!");

		double x = 100000000000000000.0;
		double y = x;
		x += 0.01;
		if(y==x) System.out.println("Where is my money?");
	}
}
